<?php
include("prueba.php");
include("conexion.php");
//include("datosUsuarioView.php");
 class nuevoPrueba {

	// PROPIEDADES
	var $pruebaObj;
	var $conexionObj;
	var $estado;

	// CONFIGURADORES
	function setPrueba($doc){
			$this->pruebaObj=new prueba();
			$this->pruebaObj->setGuia($guia);
	}

	function getPrueba(){
		return $this->pruebaObj;
	}

	// OPERACION DE NEGOCIO
	function validar(){
		$this->conexionObj = new conexion();
		$this->conexionObj->conectarse();
		$rst=$this->conexionObj->consultar("Select * from prueba");
		if(mysql_num_rows($rst)>=1){
		   $fila = mysql_fetch_array($rst);
		   $this->insertarDatos();
		   //echo "Hay Registros";
        }
		else{
		   //echo "No hay registros";
		   $this->insertarDatos();
		   }
	}

function insertarDatos(){
//echo "entro insertar";//$fn1=$_POST['fn'];
$sep=$_POST['sep'];
$nombre=$_FILES['txt']['name'];
$tipo=$_FILES['txt']['type'];
$tam=$_FILES['txt']['size'];

		if ($tipo!="text/plain") {
			if($tipo!="application/vnd.ms-excel"){
			echo "No es un archivo plano o txt";
			}else{
				$ruta="/opt/lampp/htdocs/servicio_cliente_envia/trabajo/".$nombre;
		   		if (move_uploaded_file($_FILES['txt']['tmp_name'], $ruta)){
	       			@copy($_FILES['txt']['tmp_name'], $_FILES['txt']['name']);
		   		}else{
			    	echo "No se subio el archivo";
		    	}
			}
			//echo "entro aqui";
		    //$nombre="../default/Logo.jpg";
		}else{
			$ruta="/opt/lampp/htdocs/servicio_cliente_envia/trabajo/".$nombre;
		   if (move_uploaded_file($_FILES['txt']['tmp_name'], $ruta)){
	       @copy($_FILES['txt']['tmp_name'], $_FILES['txt']['name']);
		   }else{
			    echo "No se subio el archivo";
		    }
		}
	$lines = file($nombre);
	$i=0;
    $rsta=$this->conexionObj->modificar("insert into lot values('0')");
	$rsta=$this->conexionObj->consultar("Select * from lot order by num_lot desc");
	$fila = mysql_fetch_array($rsta);
	$lote=$fila['num_lot'];
	$_SESSION['lot']=$lote;
	foreach ($lines as $line_num => $line) {
	$datos = explode($sep, $line);
	$num=0;
	$guia=$datos[0];
	$nc=$datos[1];
	$nom=$datos[2];
	//$lote=$datos[3];
	$ruta="vacia";
	$est=0;

	$rst1=$this->conexionObj->consultar("Select * from prueba where guia='".$guia."'");
	$i=$i+1;
	$rst=$this->conexionObj->modificar("insert into prueba values('".$num."','".$guia."','".$nc."','".$nom."','".$lote."','".$ruta."',".$est.")");
	}
    unlink($nombre);
	$_SESSION['cant']=$i;
}
}
// CREACION DEL OBJETO
$nuevoPruebaObj=new nuevoPrueba();

// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
$nuevoPruebaObj->setPrueba($_POST['txt']);

// LAMANDO EL METODO DE NEGOCIO
$nuevoPruebaObj->validar();
?>
<html onMouseOver="self.status='Powered by Carpediem Colombia Ltda';return true">
   <head>
    <title>.::Virtual Courrier - Ingresar Datos::. </title>
	<link rel="stylesheet" href="../css/style.css" type="text/css">
     </head>
   <body leftmargin="0" topmargin="0" marginheight="0" marginwidth="0" bgcolor="#ffffff">
<center>
<img src="../imagenes/recursos/envia.gif" alt="..::Envia::.." title="..::Envia::.." border=0>
<br>
<table border="0" width="172" id="table1">
	<tr>
		<td width="132" class=inputbox>Registros Cargados: </td>
		<td width="26" class=inputbox><?echo $_SESSION['cant'];?></td>
	</tr>
	<tr>
		<td width="132" class=inputbox>Lote No: </td>
		<td width="26" class=inputbox><?echo $_SESSION['lot'];?></td>
	</tr>
</table>
<p>


</p>
<form name="formulario" action="cruce.php" method="POST" encType="multipart/form-data">
<input type="hidden" value="<?echo $_SESSION['lot'];?>" name="lote" class="inputbox">
<input type="submit" value="Cruce de datos" name="buscar" class="inputbox">
</form>

</center>
</body>
</html>